git-annex-move(1)

NAME
git-annex-move - move content of files to/from another repository

SYNOPSIS
git annex move [path ...] [--from=remote|--to=remote]

DESCRIPTION
Moves the content of files from or to another remote.

OPTIONS

--from=remote

    Use this option to move the content of files from the specified remote to the local repository.

--to=remote
    Use this option to move the content of files from the local repository to the specified remote.

--jobs=N -JN
    Enables parallel transfers with up to the specified number of jobs running at once. For example: -J10

--all
    Rather than specifying a filename or path to move, this option can be used to move all available versions of all files.

    This is the default behavior when running git-annex in a bare repository.

--branch=ref
    Operate on files in the specified branch or treeish.

--unused
    Operate on files found by last run of git-annex unused.

--failed
    Operate on files that have recently failed to be transferred.

--key=keyname
    Use this option to move a specified key.

file matching options
    The git-annex-matching-options(1) can be used to specify files to move.

--json
    Enable JSON output. This is intended to be parsed by programs that use git-annex. Each line of output is a JSON object.

--json-progress
    Include progress objects in JSON output.

SEE ALSO
git-annex(1)

git-annex-get(1)

git-annex-copy(1)

git-annex-drop(1)

AUTHOR
Joey Hess <id@joeyh.name>